Bug 819561 - [abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:8006 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
[abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:8006 brcms...
Status: CLOSED DUPLICATE of bug 799168
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
: 833237 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 10:27 EDT by kopano.fedora
Modified: 2012-07-09 16:33 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 16:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
abrt data (7.02 KB, text/plain)
2012-05-11 19:45 EDT, Matt Hooper
no flags Details

  None (edit)
Description kopano.fedora 2012-05-07 10:27:51 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.4-3.fc17.x86_64 root=UUID=e25f20f2-46c4-48e3-9ed4-dba43e358b39 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
event_log:      2012-05-07-16:27:24> Smolt profile successfully saved
kernel:         3.3.4-1.fc17.x86_64
time:           Sat 05 May 2012 11:56:02 AM CAT

backtrace:
:WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:8006 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
:Hardware name: HP ProBook 5330m
:Modules linked in: rfcomm btusb fuse bnep bluetooth be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev hp_accel media snd_hda_codec_idt arc4 lis3lv02d brcmsmac hp_wmi sparse_keymap input_polldev cordic crc8 brcmutil mac80211 snd_hda_intel snd_hda_codec snd_hwdep cfg80211 snd_pcm rfkill microcode iTCO_wdt snd_page_alloc snd_timer e1000e snd soundcore bcma iTCO_vendor_support serio_raw uinput sdhci_pci sdhci mmc_core wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 3327, comm: kworker/u:31 Not tainted 3.3.4-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810568af>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105690a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa02caeb9>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
: [<ffffffffa02bd34b>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
: [<ffffffffa023aabe>] ieee80211_scan_work+0x34e/0x590 [mac80211]
: [<ffffffff8101272b>] ? __switch_to+0x12b/0x420
: [<ffffffff81071b59>] process_one_work+0x129/0x3f0
: [<ffffffffa023a770>] ? ieee80211_scan_rx+0x1a0/0x1a0 [mac80211]
: [<ffffffff81073396>] worker_thread+0x126/0x2d0
: [<ffffffff81073270>] ? manage_workers.isra.25+0x1f0/0x1f0
: [<ffffffff81078843>] kthread+0x93/0xa0
: [<ffffffff815f4fa4>] kernel_thread_helper+0x4/0x10
: [<ffffffff810787b0>] ? flush_kthread_worker+0x80/0x80
: [<ffffffff815f4fa0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: c8d17c4f-55d8-4801-916d-f0df4dbcaf76
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4190.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2100
:System Memory: 7897
:System Swap: 0
:Vendor: Hewlett-Packard
:System: HP ProBook 5330m A0001D02
:Form factor: Notebook
:Kernel: 3.3.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:18215:4156:5212) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:278:4156:5711) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4156:5711) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5711) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7247:4156:5711) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:7200:4156:5711) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4156:5711) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(6523:9106:4156:5711) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9105:4156:5711) pci, None, BASE, Standard SD Host Controller
:(32902:7171:4156:5711) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4156:5711) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5711) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4156:5711) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4156:5711) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 32435507 28553441 28228806 8118272 7681510 7681510
:
Comment 1 Matt Hooper 2012-05-11 19:33:48 EDT
Balancing after removing a device

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Matt Hooper 2012-05-11 19:45:01 EDT
(In reply to comment #1)
> Balancing after removing a device
> 
> Package: kernel
> Architecture: i686
> OS Release: Fedora release 17 (Beefy Miracle)

To clarify, as this isn't a btrfs related bug, I was balancing a btrfs file system after removing a missing device and abrt posted to this bug. I'll attach my abrt data just in case it proves useful.

Kernel: 3.4.0-0.rc5.git5.1.fc18.i686
Comment 3 Matt Hooper 2012-05-11 19:45:45 EDT
Created attachment 583949 [details]
abrt data
Comment 4 Frank Murphy 2012-05-23 10:44:52 EDT
Booting up

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Stef Walter 2012-05-23 12:57:05 EDT
Resumed from sleep.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Artyom Kunyov 2012-05-27 15:21:01 EDT
Happens a few times a day in F17. It seems to be graphics driver issue for me - I'm using an opensource driver. Everything worked fine in F16 and 12.04 with Catalyst. My graphics card is HD 6550D on A8-3870K.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Jonathan Gazeley 2012-05-27 17:21:35 EDT
Installed a plain Fedora 16 installation. Upgraded to Fedora 17 beta using preupgrade. The upgrade went smoothly but this message was waiting in abrt upon the first boot of F17.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 gostrc 2012-05-29 20:46:03 EDT
Fresh install on virtualbox, first time boot

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Marcos Martins da Silva 2012-05-30 21:39:40 EDT
I do not know what caused the problem, everything seems fine with my wireless connection (I am using it to make this report). However, bluetoth is not working.  Checking system configuration applet shows no adapter.
But
lsusb | grep -i blue
Bus 002 Device 004: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Vilhjálmur Magnússon 2012-05-31 09:38:42 EDT
Just installed Fedora 17 and don't understand anything.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 SignedAdam 2012-05-31 12:48:47 EDT
Error happens Everytime at boot

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Steven Miano 2012-05-31 19:41:49 EDT
Turned on the laptop, when gnome shell came up - the ABRT was there waiting. No user impact at all - everything works, but this report comes up. Sorry I don't have more information.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 efreeti 2012-05-31 19:55:30 EDT
I believe this problem happens when my external hard disk is connected to my computer. It is a usb3.0 connector and has a btrfs partition in it.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 wangliangxing 2012-06-02 05:06:07 EDT
点击左上角活动时,几秒钟未响应

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Vilhjálmur Magnússon 2012-06-02 05:58:00 EDT
Updating Fedora 17 on June 2nd and the error report came up in the middle of the update process.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Rick 2012-06-02 06:13:33 EDT
Appeared as soon as the KDE GUI started.  Obviously occurred during the boot process.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Andreas Winkelbauer 2012-06-02 17:52:20 EDT
system crashes soon after login to gnome

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 tsaga.chania 2012-06-02 18:43:05 EDT
This incidence occured while I was doing nothing but waiting for the first "software update" to finish.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Marcos Martins da Silva 2012-06-04 16:39:51 EDT
About comment 9

Bluetooth is ok now. I have to install the other bluez*.rpm. I do not know the reason but Anaconda installed just a part of the bluez*.rpm. After installing the other packages, bluetooth turned alive. It follows the packages I installed to fix the problem.
bluez-gstreamer-4.99-1.fc17.x86_64
bluez-hid2hci-4.99-1.fc17.x86_64
bluez-alsa-4.99-1.fc17.x86_64
bluez-compat-4.99-1.fc17.x86_64
bluez-hcidump-2.2-2.fc17.x86_64

I guess bluez-hid2hci and bluez-hcidump did the magic.
Comment 20 robert fairb 2012-06-06 00:58:08 EDT
i was running an update in the backround and viewing a website
i have just recently installed this system on an old acer aspire netbook and i tryed to update this computer in live mode because it wouldnt start after i ran an update it ran out of memory and then the anaconda installer started working 


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 pi_raph 2012-06-06 04:30:51 EDT
When fetching a signature from a "signotec sigma" signature table.  Somewhat reproducible by doing this 30-50 times in a row.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 pi_raph 2012-06-06 04:58:25 EDT
(In reply to comment #21)
> When fetching a signature from a "signotec sigma" signature table.  Somewhat
> reproducible by doing this 30-50 times in a row.
> 
> Package: kernel
> Architecture: i686
> OS Release: Fedora release 17 (Beefy Miracle)

No idea why abrt appended to this bug
Comment 23 Monty 2012-06-07 03:33:38 EDT
GDM login screen came up; I selected user, pressed enter, and X locked up partway into the 'expose the password box' animation.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 24 balamahendran 2012-06-08 09:04:39 EDT
fresh installed f 17  after yum update i got this

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Laurent Boualit 2012-06-09 10:02:36 EDT
was starting the system

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 mark gress 2012-06-09 18:35:17 EDT
This is a new install fresh with a new format/partition, the crash happened at some point during the bootup process.  At the point of logging into the desktop, ABRT was ready to report this.  All packages are up to date as of this morning.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 mariolinux 2012-06-09 18:36:49 EDT
After the last hibernation? I don't know

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 Jason Smith 2012-06-10 14:56:52 EDT
This error occurs during boot on F17 for both Desktop and KDE Spins on the below hardware, does not occur at all on my laptop with an AMD A8-3520 APU chipset.  System will boot into GNOME with a highly degraded boot time, however will not boot at all in KDE.

Hardware of error:  Acer Aspire 6930 w/Intel G45M chipset
How to reproduce: Occurs on every boot, displayed on boot messages
Expected Result:  To boot without CPU getting stuck to decrease boot time in GNOME, make system bootable in KDE.

I am providing all info ABRT is prompting, however if any further details are needed, please let me know.


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 John Coughlan 2012-06-10 19:03:30 EDT
I was attempting a reboot and this well known bug reared it's head. Sometimes I still get bugchecks, but it is not related to this issue. I am submitting this to make sure that I am assuming correctly.

-l0ft1369


Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 tsaga.chania 2012-06-10 21:20:01 EDT
I was trying to connect to an other wireless network (one with different conficuration and more secure).

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 Klaus Lichtenwalder 2012-06-11 01:01:33 EDT
I sometimes also get a "ieee80211 phy16: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly " counting channel(?) numbers. Only way to get the network running again is unloading and reloading the brcmsmac module again. Is this related, or should I add another BZ?


(F17 up to date)
Comment 32 u5afe 2012-06-11 07:25:08 EDT
started a skype call

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 Drahomír Přikryl 2012-06-11 07:28:30 EDT
When system booting.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 Paulo 2012-06-11 16:38:53 EDT
Occur at boot of system

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 Georg Greve 2012-06-12 03:03:51 EDT
No idea. Just found this in the reports.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 36 G De Moro 2012-06-12 07:54:54 EDT
The error appears after loggin in

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 37 Laurent Boualit 2012-06-12 08:40:44 EDT
was starting fedora 

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 Marian Csontos 2012-06-12 08:47:42 EDT
What happened before:
This happened after I closed firefox running in selinux sandbox.
The sandbox was created with vpnc session active, while it was closed when vpnc was already disconnected.

Reproducibility:
Knock, knock, knock, it is not reproducible (so far.)


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 39 Marian Csontos 2012-06-12 09:14:24 EDT
(In reply to comment #38)
> What happened before:
> This happened after I closed firefox running in selinux sandbox.
> The sandbox was created with vpnc session active, while it was closed when
> vpnc was already disconnected.
> 
> Reproducibility:
> Knock, knock, knock, it is not reproducible (so far.)
> 
> 
> Package: kernel
> OS Release: Fedora release 17 (Beefy Miracle)

Ignore this comment. It is not a duplicate but unrelated issue: Bug 831194. Likely a bug in abrt: Bug 831197.
Comment 40 hieuht 2012-06-12 09:54:55 EDT
		


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 41 Mikel 2012-06-13 21:33:55 EDT
This happened (and has happened before) when the system would either be going into 'suspend' mode due to inactivity, to into 'suspend' with the closing of the cover of this netbook.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 42 Bruno Martins 2012-06-14 07:04:02 EDT
Just boot.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 43 José Neto 2012-06-14 18:27:27 EDT
Ao iniciar o sistema, na tela de carregamento onde aparece o logotipo sendo preenchido foi informado esse erro.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 44 Dariusz Garbowski 2012-06-14 22:00:52 EDT
I was using Fedora 17 64-bit with KDE 4.8.3. I logged out and logged in again. Abrt brought up this ooops.

This *may* be the first time I actually managed to capture soemthing that I have been observing for the week since I built this new computer: every few hours the machine freezes without any warning and without any logs in anywhwere I can find. What happens is that on two monitor setup, the primary monitor blanks to black, mouse pointer freezes, secondary monitor keeps displaying last image and the machine is just dead, not responding to anything (keyboard -- caps/num lock don't light the LED, network is cut off -- external ssh sessions die). The only way out is reset button.

This time I got this ooops during login and no freeze so I hope this report may help fixing the crashes.


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 45 Dariusz Garbowski 2012-06-14 22:12:33 EDT
This seems to be related to Ivy Bridge GPU (i7-3770K):

WARNING: at drivers/gpu/drm/i915/i915_irq.c:535 ivybridge_irq_handler+0x362/0x370 [i915]()
Hardware name: System Product Name
Missed a PM interrupt
Modules linked in: xts gf128mul dm_crypt hidp fuse lockd sunrpc rfcomm bnep ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter be2iscsi iscsi_boot_sysfs ip6_tables bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi vfat fat snd_hda_codec_hdmi snd_hda_codec_realtek eeepc_wmi asus_wmi sparse_keymap coretemp microcode btusb bluetooth rfkill vhost_net tun macvtap macvlan i2c_i801 kvm iTCO_wdt iTCO_vendor_support uinput snd_hda_intel r8169 snd_hda_codec mii snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore crc32c_intel ghash_clmulni_intel wmi usb_storage i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper/6 Not tainted 3.4.0-1.fc17.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff81056916>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa0071c62>] ivybridge_irq_handler+0x362/0x370 [i915]
 [<ffffffff810df8a4>] handle_irq_event_percpu+0x54/0x200
 [<ffffffff810dfa91>] handle_irq_event+0x41/0x70
 [<ffffffff810e234f>] handle_edge_irq+0x6f/0x110
 [<ffffffff810150ef>] handle_irq+0xbf/0x150
 [<ffffffff815f48d2>] ? __atomic_notifier_call_chain+0x12/0x20
 [<ffffffff815f48f6>] ? atomic_notifier_call_chain+0x16/0x20
 [<ffffffff815fa72a>] do_IRQ+0x5a/0xe0
 [<ffffffff815f0e2a>] common_interrupt+0x6a/0x6a
 <EOI>  [<ffffffff8101bad2>] ? mwait_idle+0x92/0x1e0
 [<ffffffff8101c50e>] cpu_idle+0xfe/0x120
 [<ffffffff815df98c>] start_secondary+0x248/0x24a

kernel: 3.4.0-1.fc17.x86_64
Comment 46 DeepPurpleFedora 2012-06-15 03:11:58 EDT
During spelscheck Thunderbird got hungup, and while it was hung, I made it the highest priority in CPU and Hard Disk, a little after that I got the kernel crash

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 47 Marcelo Rodrigues de Brito 2012-06-15 18:25:26 EDT
Fiz update do sistema e ao reiniciar, após o logon, reproduziu este erro.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 48 Marcelo Rodrigues de Brito 2012-06-16 11:14:16 EDT
Apos atualizar o fedora.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 49 Felipe 2012-06-16 13:51:12 EDT
"yum -y install sed curl wget sudo dif sudo"

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 50 al morris 2012-06-16 15:11:08 EDT
just booted up
no btrfs file system on this particular machine


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 51 al morris 2012-06-16 15:34:36 EDT
comment 13 above:
====
efreeti 2012-05-31 19:55:30 EDT
I believe this problem happens when my external hard disk is connected to my computer. It is a usb3.0 connector and has a btrfs partition in it.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
====
Noticed this, remembered the external usb3 drive that I unpluged just as the grub was trying to start

couldn't remember if it had a btrfs.... no it doesn't

(parted) print all                                                        
Model: ATA WDC WD10EARS-00M (scsi)
Disk /dev/sda: 1000GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags: 

Number  Start   End     Size    Type     File system     Flags
 1      1049kB  1050MB  1049MB  primary  ext4            boot
 2      1050MB  36.9GB  35.9GB  primary  linux-swap(v1)
 3      36.9GB  144GB   107GB   primary  ext4
 4      144GB   1000GB  856GB   primary  ext4


Model: WD My Passport 0740 (scsi)
Disk /dev/sdc: 1000GB
Sector size (logical/physical): 512B/4096B
Partition Table: gpt
Disk Flags: 

Number  Start   End     Size    File system     Name  Flags
 1      1049kB  2097kB  1049kB                        bios_grub
 2      2097kB  526MB   524MB   ext4            ext4  boot
 3      526MB   54.2GB  53.7GB  ext4
 4      54.2GB  64.3GB  10.1GB  linux-swap(v1)
 5      64.3GB  1000GB  936GB


(parted) 

yet the "reason"
WARNING: at fs/btrfs/super.c:219__brtfs_abort_transaction+0xad/0xc0 [btrfs]()

on the crash report was fs/btrfs.....

sorry for the excess crap if it is no help
adios,
@
Comment 52 al morris 2012-06-16 15:47:19 EDT
rebooted after a microcode update and it happens again

this time no pluging , un-plugging, and complete power-off before re-boot
adios,
@


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 53 kksheth 2012-06-17 04:08:53 EDT
fresh install of fedora 17 64 bit in virtualbox with gnome and kde both selected during install. Afterwards updated kernel and installed kernel-devel, kernel-headers, dkms, gcc. Rebooted

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 54 stephen 2012-06-17 20:25:29 EDT
running Yumex, Firefox 13.0, System Settings>Mouse & Touchpad when I noticed the Abrt-applet icon on the bottom of the screen.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 55 Bogdan Filip 2012-06-18 03:01:11 EDT
at normal boot

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 56 John W. Linville 2012-06-18 15:22:41 EDT
Arend, is there any way to silence this WARNING?  Is it important?  If not, can we silence it?
Comment 57 Joseph D. Wagner 2012-06-18 16:18:01 EDT
abrt points me here.  Happens at boot-up.  I don't have Ivy Bridge GPU.

WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x250/0x260()

kernel-3.4.2-4.fc17.x86_64
Comment 58 James Wilkinson 2012-06-19 04:25:42 EDT
Occurred during system boot.

System appears to be operating fine


Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 59 Arend van Spriel 2012-06-19 05:28:31 EDT
(In reply to comment #56)
> Arend, is there any way to silence this WARNING?  Is it important?  If not,
> can we silence it?

Hi John,

I understand from a couple comments that they got no or degraded wireless connectivity afterwards so it seem important enough. I fixed a couple of scenarios which are already in stable 3.4.2 (listed below), but given comment 57 that does not cover all.

brcm80211: smac: resume transmit fifo upon receiving frames
brcm80211: smac: fix endless retry of A-MPDU transmissions

I am looking into it on and off, but I have not got a solid lead yet. I know what is happening, but not why and how we got there. Tough nut to crack. Hopefully I find the silver bullet soon.
Comment 60 Damiano Missoni 2012-06-19 07:28:43 EDT
Ho inserito una scheda SD HC da 8 Gb. È stata rilevata correttamente, ma all'apertura con Nautilus il sistema è crashato.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 61 Jérôme Oufella 2012-06-19 09:06:39 EDT
The issue happened on my desktop that had been locked with xscreensaver for about 4.5 hours. Xscreensaver is using its default configuration so I guess it was using several GL plugins.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 62 John W. Linville 2012-06-19 09:14:52 EDT
*** Bug 833237 has been marked as a duplicate of this bug. ***
Comment 63 Klaus Lichtenwalder 2012-06-19 11:29:35 EDT
John, to your comment #56, with my netbook on F17 I regularly get also a "ieee80211 phy52: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly xx". This effectively drops my wireless and I have to rmmod/modprobe the brcmsmac module, so it's not only a harmless warning...
Comment 64 yaului74 2012-06-19 13:10:16 EDT
Occurs during the boot-up process

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 65 Jiří Martínek 2012-06-20 04:53:51 EDT
I tried to write something on btrfs formated USB drive and it was doing weird things, like unable to unmount, unable to show output of #df command and then it crashed.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 66 Simon ANDRÉ 2012-06-20 07:33:03 EDT
touch pad

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 67 stephen 2012-06-20 14:09:27 EDT
Just completed installing from Live CD/DVD; 
First boot up after establishing a user; was asked to select desktop: "Default Configuration" or "One Blank Panel"  --  I selected Default Config. When desktop was opened, there was this AutoBugRpt waiting for me ... 

I have no clue.

<sigh>


Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 68 Olivier Roy 2012-06-20 15:43:06 EDT
No idea. Happens since I upgraded to F17 using pre-upgrade.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 69 stephen 2012-06-20 19:41:23 EDT
Applying reccommended updates via yumex when this error popped up

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 70 Joseph D. Wagner 2012-06-20 19:56:14 EDT
I am hoping someone can firm that all of these are related to the same bug.  I get a different error message, so I'm not sure they are related.  However, abrt keeps pointing me here.

abrt_version:   2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-4.fc17.x86_64 root=/dev/mapper/secured-root ro rd.md=0 rd.luks.uuid=WITHHELD rd.dm=0 SYSFONT=True rd.lvm.lv=secured/root rd.luks.uuid=WITHHELD KEYTABLE=us rd.lvm.lv=secured/swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.4.0-1.fc17.x86_64
time:           Wed 20 Jun 2012 04:23:40 PM PDT

backtrace:
:WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x250/0x260()
:Hardware name: MS-7388
:NETDEV WATCHDOG: p6p1 (r8169): transmit queue 0 timed out
:Modules linked in: xt_LOG nf_conntrack_ipv4 nf_defrag_ipv4 lockd bnep sunrpc bluetooth rfkill ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables xt_connlimit xt_conntrack nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer fuse sp5100_tco snd k8temp r8169 edac_core edac_mce_amd mii soundcore i2c_piix4 serio_raw uinput xts gf128mul dm_crypt ata_generic pata_acpi pata_atiixp wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 4189, comm: firefox Not tainted 3.4.0-1.fc17.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8101a8e9>] ? sched_clock+0x9/0x10
: [<ffffffff81056916>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff810919f1>] ? trigger_load_balance+0x61/0x2e0
: [<ffffffff815019c0>] dev_watchdog+0x250/0x260
: [<ffffffff81501770>] ? dev_deactivate_queue.constprop.30+0x80/0x80
: [<ffffffff810659c1>] run_timer_softirq+0x141/0x340
: [<ffffffff8107bc69>] ? enqueue_hrtimer+0x29/0x90
: [<ffffffff8105dbc0>] __do_softirq+0xc0/0x1e0
: [<ffffffff815f9edc>] call_softirq+0x1c/0x30
: [<ffffffff810151f5>] do_softirq+0x75/0xb0
: [<ffffffff8105df95>] irq_exit+0xb5/0xc0
: [<ffffffff815fa81e>] smp_apic_timer_interrupt+0x6e/0x99
: [<ffffffff815f958a>] apic_timer_interrupt+0x6a/0x70
: <EOI>  [<ffffffff815f8c10>] ? sysret_audit+0x17/0x21

smolt_data:
:
:
:General
:=================================
:UUID: 8c00c362-11f8-4291-80b0-4f4b13a39a8a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4999.73
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) Dual Core Processor 4850e
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 107
:Number of CPUs: 2
:CPU Speed: 2500
:System Memory: 3955
:System Swap: 8191
:Vendor: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7388 1.0
:Form factor: Desktop
:Kernel: 3.4.2-4.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:22908:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port C)
:(4098:43552:5218:43552) pci, snd_hda_intel, MULTIMEDIA, RV635 Audio device [Radeon HD 3600 Series]
:(4098:17290:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:22872:4098:22872) pci, None, HOST/PCI, RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
:(4098:17292:5218:29576) pci, pata_atiixp, STORAGE, SB600 IDE
:(4332:33128:5218:14476) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4098:17280:5218:29576) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4098:22904:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4098:17285:5218:29576) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17293:5218:29576) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:5218:29576) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17289:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:38296:5218:4496) pci, radeon, VIDEO, Mobility Radeon HD 3600 Series
:(4098:17287:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:5218:29576) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/secured-root / ext4 4096 4096 67031890 62801733 59446290 16777216 16636609 16636609
:/dev/sda2 WITHHELD fuseblk 16384 16384 22135483 18887047 18887047 302323824 302322569 302322569
:/dev/sdb2 /boot ext4 1024 1024 496449 437167 412182 124928 124589 124589
:/dev/mapper/secured-home /home ext4 4096 4096 418632878 230269312 209317453 104759296 104730357 104730357
:

END:
Comment 71 Andrey V. Henneberg 2012-06-20 23:45:00 EDT
The issue appeares on system startup only. Waking up from hibernation is passed correctly.

Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 72 STEVEN WARD 2012-06-21 07:43:05 EDT
The latest nouveau from git and the latest Fedora Kernel keeps failing at KDM.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 73 Josh Boyer 2012-06-21 08:42:25 EDT
(In reply to comment #70)
> I am hoping someone can firm that all of these are related to the same bug. 
> I get a different error message, so I'm not sure they are related.  However,
> abrt keeps pointing me here.

Sigh.

Thanks for including the backtrace.  When abrt directs people here, it doesn't attach the backtrace so we can't tell whether it's really the same problem or not.  In your case, it isn't.  I suspect the reporter in comment #72 also isn't seeing the brcmsmac problem this bug is for.

I'm removing the hash from the whiteboard so abrt will stop doing that.
Comment 74 Arend van Spriel 2012-06-21 09:36:29 EDT
I actually suspect that more comments fall into that category. The problem flagged by this WARN is not causing a system crash (worst case is loss of wireless connectivity) and there are quite a number of comments saying their system crashed.
Comment 75 Joseph D. Wagner 2012-06-21 15:32:09 EDT
My case appears to be related to this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=715137

This seems odd because this bug was originally reported 2011-06-21 but it didn't impact me until the update on 2012-06-17 (kernel-3.4.2-4.fc17.x86_64).  In my case, there is no noticeable loss in functionality.

Thank you for all your help.  I will raise future concerns on that bug.
Comment 76 Dave Jones 2012-07-09 16:33:11 EDT

*** This bug has been marked as a duplicate of bug 799168 ***

Note You need to log in before you can comment on or make changes to this bug.